
# I, Dovid Meiseles created this, not built in with mac so won't break computer if mess around


Options +FollowSymlinks
RewriteEngine On

RewriteBase /


RewriteRule ^issue/(.*)/story/(.*) /stories.php?issue=$1&story=$2
# used to be (?!1) if anything breaks then check this
RewriteRule ^issue/(.+) /index.php?issue=$1

RewriteRule ^issue/$ /issue.php

# when looking for list of all users (not any individual
RewriteRule ^u/?$ /journalists.php

RewriteRule ^u/(.+) /settings.php?user=$1

RewriteRule ^modifyArticles/(\d+)/? /modifyArticles?issue=$1

RewriteRule ^tag/(.*) /index.php?tag=$1

#middleware for api
RewriteCond %{REQUEST_METHOD} POST|PUT|DELETE
RewriteRule ^api/(?!router)(.+)$ /api/router.php?field=$1 [R=307]


# reroutes to api, making url user's trying to get into a key name field, minus the .php at the end
RewriteRule ^api/(?!router)([^\.]+)(.php)?$ /api/router.php?field=$1&%{QUERY_STRING} [R=301]

# custom 404
ErrorDocument 404 /404.php


# remove need for .php
RewriteCond %{REQUEST_FILENAME} !-f
RewriteRule ^([^\.]+)$ $1.php [NC,L]

# redirect to https
RewriteCond %{HTTP:X-Forwarded-Proto} =http
RewriteRule ^(.*) https://tabceots.com/ [L,R=301]

# adds GZIP
<IfModule mod_filter.c>
    AddOutputFilterByType DEFLATE "application/atom+xml" \
                                  "application/javascript" \
                                  "application/json" \
                                  "application/ld+json" \
                                  "application/manifest+json" \
                                  "application/rdf+xml" \
                                  "application/rss+xml" \
                                  "application/schema+json" \
                                  "application/vnd.geo+json" \
                                  "application/vnd.ms-fontobject" \
                                  "application/x-font-ttf" \
                                  "application/x-javascript" \
                                  "application/x-web-app-manifest+json" \
                                  "application/xhtml+xml" \
                                  "application/xml" \
                                  "font/eot" \
                                  "font/opentype" \
                                  "image/bmp" \
                                  "image/svg+xml" \
                                  "image/vnd.microsoft.icon" \
                                  "image/x-icon" \
                                  "text/cache-manifest" \
                                  "text/css" \
                                  "text/html" \
                                  "text/javascript" \
                                  "text/plain" \
                                  "text/vcard" \
                                  "text/vnd.rim.location.xloc" \
                                  "text/vtt" \
                                  "text/x-component" \
                                  "text/x-cross-domain-policy" \
                                  "text/xml"

</IfModule>

# cache for 1 month for most static assets
<filesMatch ".(html|css|jpg|jpeg|png|gif|js|ico)$">
Header set Cache-Control "max-age=43200, public"
</filesMatch>


# hopefully stops access to config file
<files config.php>
order allow,deny
deny from all
</files>
